.parsa-card2card-box{
    background:#fff;
    padding:20px;
    border-radius:20px;
    border:1px solid #eee;
    margin-top:20px;
}

.parsa-bank-card{
    background:#fafafa;
    border-radius:16px;
    padding:20px;
    margin-bottom:7px;
    border:1px solid #eee;
    transition:.3s;
}

.parsa-bank-card:hover{
    transform:translateY(-3px);
}

.parsa-bank-name{
    font-size:17px;
    font-weight:bold;
    margin-bottom:10px;
}

.parsa-bank-number{
    display:flex;
    align-items:center;
    gap:10px;
    margin-bottom: -9px;
}

.copy-card-btn{
    background:#111827;
    color:#fff;
    border:none;
    border-radius:10px;
    padding:8px 14px;
    cursor:pointer;
}

.parsa-upload-wrapper{
    margin-top:25px;
}

#parsa-dropzone{
    border:2px dashed #d1d5db;
    border-radius:20px;
    padding:35px;
    text-align:center;
    position:relative;
    cursor:pointer;
    transition:.3s;
    background:#fafafa;
}

#parsa-dropzone.dragging{
    border-color:#111827;
    background:#f3f4f6;
}

#parsa-dropzone input{
    position:absolute;
    inset:0;
    opacity:0;
    cursor:pointer;
}

.parsa-dropzone-content strong{
    display:block;
    margin-bottom:10px;
    font-size:18px;
}

.parsa-upload-success{
    margin-top:15px;
    background:#dcfce7;
    color:#166534;
    padding:12px;
    border-radius:12px;
}

.parsa-toast{
    position:fixed;
    left:30px;
    bottom:30px;
    background:#111827;
    color:#fff;
    padding:14px 18px;
    border-radius:14px;
    z-index:999999;
    opacity:0;
    transform:translateY(20px);
    transition:.3s;
    font-size:14px;
}
.parsa-toast.show{
    opacity:1;
    transform:translateY(0);
}
.parsa-progress{
    width:100%;
    height:10px;
    background:#e5e7eb;
    border-radius:20px;
    overflow:hidden;
    margin-top:20px;
    display:none;
}
.parsa-progress-bar{
    width:0;
    height:100%;
    background:#111827;
    transition:.3s;
}
.parsa-user-receipt-image{
    max-width:300px;
    border-radius:16px;
    margin-top:20px;
    width: 150px;
    object-fit: cover;
}
.parsa-approved-text {
    margin-top: 10px;
    border-radius: 14px;
    font-size: 13px;
    background: #06a006;
    color: white;
    display: inline-block;
    padding: 2px 10px;
}

#parsa-image-modal{
    display:none;
    position:fixed;
    z-index:999999;
    inset:0;
    background:rgba(0,0,0,.85);
}
#parsa-modal-image{
    display:block;
    max-width:90%;
    max-height:90%;
    margin:auto;
    position:absolute;
    top:0;
    left:0;
    right:0;
    bottom:0;
}
.parsa-modal-close{
    position:absolute;
    top:20px;
    right:30px;
    color:#fff;
    font-size:40px;
    cursor:pointer;
    z-index:2;
}
.parsa-receipt-thumb{
    transition:.2s;
}
.parsa-receipt-thumb:hover{
    transform:scale(1.05);
}